function [capex_EOR_ini]  = EOR_initial_capital_cost_1(depth, Q_max_inj,k)       
%------ CAPEX EOR per pattern is a function of depth -----
%Q_max_inj = (2*pi*h(k)*perm(k)*(frac_g - hydro_g)*depth(k)*con)/(mu*log(r_e/r_w)); %[m3/s]    
%conversions     
    inf_2004_2016 = 1.27; % CPI inflation calculator
    inf_2010_2016 = 1.10; % same
    inf_2014_2016 = 1.017; % CPI inflation calculator
    
    m3_bbl = 6.2898; % m3 conversion to bbl
    m3_scf = 35.31466247; %m3 conversion to scf
    m_ft = 3.28084; % conversion from 1m to 3.28084ft
    Mm3_m3 = 10^6; %Million m3 to m3
    ro_CO2_surf = 1.977; % CO2 desnity @ standard conditions kg/m3
    seconds = 3600; 
    hours = 24; 
    %--- CAPEX EOR per pattern -----
        D_C_1 = 43986; %Drilling & Completion cost factor 1
        D_C_2 = 3.4*10^-4; % Drilling & Completion exp cost factor 2
        Eqp_1 = 36049; % Production well equipment factor of depth
        Eqp_2 = 1.5*10^-4; %Production well equipment cost addition
        Eqi_1 = 33132; % Injection well equipment factor of depth
        Eqi_2 = 9.0*10^-5; % Injection well equipment cost addition
        Well_con_1 = 0.48; % Conversion factor for drilling and completion
        Well_con_2 = 0.5; % Conversion facotr for production/injection well equipment
        Trunkline_cost = 33475; %Cost of trunkline
        Trunk_dist = 10; % Assumptions on trunkline distance being 10 miles
        CO2_trans_distr_factor = 187985; %CO2 transport and distribution adding factor
        CO2_recyc = 877264; % CO2 recycling plant cost factor * maxCO2recycle rate (MMscf/day)
        
        New_well_type = 0.25; % amount of new type of well per pattern
        Well_type_ratio = 1.8; % number of production wells for 1 injection well on full field
        
        %CO2 recylcing plant cost
        CO2_recyc_capex = inf_2014_2016*CO2_recyc*Q_max_inj*m3_scf*(seconds*hours)*(10^-6); % Fukai et al 2016
        CO2_trans_distribute = inf_2014_2016*(CO2_trans_distr_factor + Trunk_dist*Trunkline_cost);
        
        %New Production & injection well equipment costs
        Eqp_new = inf_2004_2016*Eqp_1*exp(depth(k)*m_ft*Eqp_2);
        Eqi_new = inf_2004_2016*Eqi_1*exp(depth(k)*m_ft*Eqi_2);
        
        %Drilling & Conversion costs
        D_C_total = inf_2004_2016*(D_C_1.*exp(D_C_2.*depth(k)*m_ft)); %0.25 new of each well type 

        %Conversion of production & injection wells
        Prod_well_con = Well_con_2*D_C_total + Well_con_1*Eqp_new;
        Inj_well_con = Well_con_2*D_C_total + Well_con_1*Eqi_new;
        
        Tot_well_costs = ((Eqp_new+D_C_total)*New_well_type +Prod_well_con*(1-New_well_type))*Well_type_ratio + ((Eqi_new+D_C_total)*New_well_type + Inj_well_con*(1-New_well_type));
        
        capex_EOR_ini = (Tot_well_costs + CO2_trans_distribute + CO2_recyc_capex);