%% MIICE constants input
%% Constants to load
rng('default');
%-------- Select from i number of random fields
i=10000;
%--------- Assessment of NPV at a given year for a project of lifetime n+1
n = 29 ; % n+1 years to assess project

%------- Cost escalation rate------
RR = (1+ NR)/(1+inf) - 1 ; % real disount rate is nominal rate - inf

%---- Parameters needed to calculate maximum fluid injection rate
frac_g = 0.8 * 0.926 ; % fracture gradient psi/ft * 80% to limit getting close to fracture pressure
hydro_g = 0.465 ; % hydrostatic gradient psi/ft
r_w = 0.1524; % [metres] radius of well assumed 6 inches
r_e = 304.8; % [metres] drainage radius assumed 1000ft
ro = 614.08 ;%kg/m3 average density for CO2 at 18 MPa & 70.6C (for 30C/km temp gradient & surf temp 15C, hydrostatic gradient 0.43 psi/ft, average depth 6084 ft.) NIST Webbook
mu = 4.78*10^-5; %viscosity of CO2 in Pa.s
con = 3.280839895*(1/145.0326323)*10^6; % conversion from psi/feet to Pa/m

%-------------------- Learning-----------------
Q_i = 2.4 ; % Total installed capacity MTCO_2/year installed w/ Boundary Dam & Petra Nova CCS

%------- Formation volume factor OOIP=HCPV/FVF
FVF=1.3; % [m^3/m^3] assumption made for oil based on Azzolina communication

%------- Pattern Area ---------
A_pattern = 161880 ; %m2 Rule of thumb Area for 1 pattern is 40 acres

%---Conversion factors -----------
m_ft = 3.28084; % 1m = 3.28084 ft
inf_2014_16 = 1.017; % 2014 US$ to 2016 US$
                  
%-------- TAXATION STRUCTURE
%----  Oil revenue ----
Roy=0.15;     % 15% royalties tax
Sev=0.02*0.15; % 2% severance tax after royalties
Adv=0.015*0.15; % 1.5% ad valorem tax after royalties

%----- Corporate Tax on CO$_2$ sale
%Corp_tax=0;  % 0% tax on revenue from CO$_2$ sale

%-----duration of study in years
year_start = 2016;
year_end = 2050;
d = year_end-year_start + 1;

%--------- INITIAL CAPITAL COSTS 2016 US$-------
% ----- Worley parsons number ----
%capex_cap_ini = 207638677;

%--------- Capital Cost of Transport-------
%Assumption that over the 100 km distance of pipeline the CO_2 enters at
%high pressure (2,200 psig provided by the power plant facility) and has a
%pressure drop of 1,000 psig. This is used to calculate the diameter
%required for the pipeline while ensuring that CO_2 remains in dense phase
%throughout the length of the pipeline - NETL Study 2013
L = 100; %km to convert to miles
% 8 inch diameter sufficient for 1MTCO_2/year
% 12 inch diameter for 3MTCO_2/year
diameters = [8 12 16]; % inches

%% Save & load constants
save constants1.mat