%% MIICE input variables
%Can CO_2-EOR enable large scale CCS deployemnt? 
clearvars
rng('default');
%% CO_2 tax/credit
% A climate consicous (1) world start at a higher CO_2 tax and will see the
% tax rate of CO_2 increase by 2$/y rather than 1$/y in a less climate conscious world (0)
climate_conscious = 0; %1 = true or 0 

% If a climate conscious world is considered, this will be the initial CO_2 tax rate
pCO2_start_high = 100;

%If we choose to start out at a less climate conscious world, this will be the initial CO_2 tax rate
pCO2_start_low = 25;

%% Oil production 
%Price of Oil in 2016
pOil_2016 = 55; % Choose starting oil price in 2016 US$/bbl with lowest being 45$/bbl and highest 110$/bbl 

% Yearly growth rate of oil price
g = 1.00; % 1.0 is equivalent to a constant oil price, 0.99 equates to 1\% yearly decrease while 1.01 a 1\% yearly increase in oil price

%% Technological Learning
% We assume Wright technological learning leads to capital cost reduction
% with increasing capacity deployment 
LR = 0.10; % Learning rate considered from 0 to 20%
learn_lim = 1000; % Maximum number of projects that have room for learning before reaching the lower bound capital cost

%% Capital Cost of Initial Capture Plant
% We are uncertain of 2what the true initial cost of building a capture plant of capacity 1 MtCO2/year would cost 
%since currently deployed plants have been subject to project and location specific first-of-a-kind capture costs. 
%Therefore, we consider a range from $714M down to $200M with the base case at $600M.
capex_cap_ini = 6e8; % 2016 US$ 

%% CO2 capture plant sizes and CO2 capture rate assumptions
% Choose CO2 capture rate to start with and for how
% long start up time is
cap_rate = 0.1;                   %Assuming 90% capture
Maximum_CCS_size = 4; %Mt captured from large coal firing power plant
%% Industry Growth Rate Scenario 
% We consider 3 possible industry growth rate scenarios 

% Scenario 1: First 5 years of deployment are limited to 2^(year) projects
% built, 10 subsequent years are limited to a 40% growth rate, 10 years
% thereafter to 20% growth rate and 10 more at 10% growth rate.

% Scenario 2 - BASE CASE: First 5 years of deployment limited to 1 project per year
% followed by an exponential growth at 26% per year until 100 Mt capacity
% deployment reached then a 10% yearly growth rate follows.

%Scenario 3: First 5 years of deployment limited to 1 project per year
% followed by 20% growth rate until 100 Mt capacity deployment reached then
% a 3% yearly growth rate follows. 

% Select from scenario 1, 2 or 3
industry_scenario = 2;
%% WAG vs continuous injection 
WAG = 0; % If we consider water-alternating-gas practice WAG is 1 and assumed at 50:50 water:CO2 injection ratio otherwise WAG is 0
%% Model sensitivity parameters 
% Trade-off between prioritising oil production vs. CO_2 storage
%oil_factor = 0.001; % base case 0.005 - 0.01 maximizes CO_2 storage rate while 0.003 maximizes oil production
add = 0.01 ; 

% Inflation rate applied to all revenue and cost streams maintaing constant
% US$
inf=0.033; % percentage - 0.33 base case, 0.05 high, 0.02 low 

% Nominal discount rate assumed 
NR = 0.15; 

% Corporate Tax on CO2 sale
Corp_tax=0;  % 0% tax on revenue from CO2 sale

% Debt:Equity ratio 
Equity = 1; % Consider equity investment as 100%

%Interest rate on debt if considered 
IR = 0.06; % 6% interest rate paid on debt

% Average cost of electricity for 2016 based on EIA data
%COE = 15 ; %$/MWh low electricity price
%COE = 75; % $/MWh high electricity price
COE = 39.67; % base case 2016 US $/MWh - average from 2014, 2015 and 2016 for electricity market average price

%Leakage rate from CO2-EOR process
leak = 0.005; % assume 0.5% leakage from CO_2 processed during EOR operation

%% Save and print results
save variables1.mat
%run MIICE.m
